commit:     192351384a80ccc740209d989cf221755d759bd5
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed May 29 06:10:21 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed May 29 06:25:05 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=19235138

dev-util/sysdig: Bump to 0.26.1 (incl. 5.1 kernel support)

Closes: https://bugs.gentoo.org/685342
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-util/sysdig/Manifest             |  1 +
 dev-util/sysdig/sysdig-0.26.1.ebuild | 97 ++++++++++++++++++++++++++++++++++++
 2 files changed, 98 insertions(+)

diff --git a/dev-util/sysdig/Manifest b/dev-util/sysdig/Manifest
index ea74ad0f5c3..51871b43e56 100644
--- a/dev-util/sysdig/Manifest
+++ b/dev-util/sysdig/Manifest
@@ -1,2 +1,3 @@
 DIST sysdig-0.24.2.tar.gz 855317 BLAKE2B 
d394ac3bd7e405664da2b45d8cfd5d3433e20266a9489f63b7d4c3bb955a60640d13bb33e6dd2057b16b6ce0617afab88cad2ceab58aa50f6b43a64f6a50f45b
 SHA512 
10ec381144733abc2c386f6570d4245ac2c1eec64d0f56800963acbd9cc38eece504f836f1ab0e24224ff44233945c8273b72efc77d7eadce98d7c4fc378740b
 DIST sysdig-0.26.0.tar.gz 892090 BLAKE2B 
ea80eacfedeca0348c86611d960c8e65eb31c4dfb2386813973d37a92cb186fd0b8b2597305c0617e59c7254b8507ed32c6f1fed37e920929e45a72fffb32cb7
 SHA512 
8f6ebcd0a0d14586b204b3fa90e27581082390b57d0547e531db258be341fd5e1b77c45c02018267836c867e291d842fcbd05bbe994d3e32a678a2926426e2b6
+DIST sysdig-0.26.1.tar.gz 892441 BLAKE2B 
38302458c54a10719fadaf5e5bb6d29931a262550eaf44350543e99cd33e6a90889d81f49096d2f57fcc903bc9245a1f782b438a48613f9fc9f90273c46f0f39
 SHA512 
817573dd2945e20094c548a481205d7ae700e8242a12c75bcab41c52330fb6f508214d71f3d3ba4ecc86576e555c8c2a0c155921d61d29a5861bbf982600f6fb

diff --git a/dev-util/sysdig/sysdig-0.26.1.ebuild 
b/dev-util/sysdig/sysdig-0.26.1.ebuild
new file mode 100644
index 00000000000..a6c3bad4d48
--- /dev/null
+++ b/dev-util/sysdig/sysdig-0.26.1.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MODULES_OPTIONAL_USE=modules
+inherit linux-mod bash-completion-r1 cmake-utils
+
+DESCRIPTION="A system exploration and troubleshooting tool"
+HOMEPAGE="https://www.sysdig.org/";
+SRC_URI="https://github.com/draios/sysdig/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0
+       modules? ( || ( MIT GPL-2 ) )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="libressl +modules"
+
+RDEPEND="
+       app-misc/jq:0=
+       dev-cpp/tbb:0=
+       dev-lang/luajit:2=
+       >=dev-libs/jsoncpp-0.6_pre:0=
+       dev-libs/libb64:0=
+       dev-libs/protobuf:0=
+       net-dns/c-ares:0=
+       net-libs/grpc:0=
+       sys-libs/ncurses:0=
+       sys-libs/zlib:0=
+       libressl? ( dev-libs/libressl:0= )
+       !libressl? ( dev-libs/openssl:0= )
+       net-misc/curl:0="
+DEPEND="${RDEPEND}
+       app-arch/xz-utils
+       virtual/os-headers"
+
+# needed for the kernel module
+CONFIG_CHECK="HAVE_SYSCALL_TRACEPOINTS ~TRACEPOINTS"
+
+pkg_pretend() {
+       linux-mod_pkg_setup
+}
+
+pkg_setup() {
+       linux-mod_pkg_setup
+}
+
+src_prepare() {
+       sed -i -e 's:-ggdb::' CMakeLists.txt || die
+
+       eapply "${FILESDIR}"/sysdig-0.26.0-build-fixes.patch
+       cmake-utils_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               # we will use linux-mod for that
+               -DBUILD_DRIVER=OFF
+               # libscap examples are not installed or really useful
+               -DBUILD_LIBSCAP_EXAMPLES=OFF
+
+               # unbundle the deps
+               -DUSE_BUNDLED_DEPS=OFF
+       )
+
+       cmake-utils_src_configure
+
+       # setup linux-mod ugliness
+       MODULE_NAMES="sysdig-probe(extra:${S}/driver:)"
+       BUILD_PARAMS='KERNELDIR="${KERNEL_DIR}"'
+       BUILD_TARGETS="all"
+
+       if use modules; then
+               cmake-utils_src_make configure_driver
+
+               cp "${BUILD_DIR}"/driver/Makefile.dkms driver/Makefile || die
+       fi
+}
+
+src_compile() {
+       cmake-utils_src_compile
+
+       linux-mod_src_compile
+}
+
+src_install() {
+       cmake-utils_src_install
+
+       linux-mod_src_install
+
+       # remove sources
+       rm -r "${ED}"/usr/src || die
+
+       # move bashcomp to the proper location
+       dobashcomp "${ED}"/usr/etc/bash_completion.d/sysdig || die
+       rm -r "${ED}"/usr/etc || die
+}

Reply via email to